"""
WebDebug Startup file

Command:
	$> webdebug.py [-port <port>]
Where:
	<port> is the optional port number to listen on. Default is SERVER_PORT
	other arguments are ignored.


WebDebug is web development proxy server that captures and displays HTTP
requests and responses.
Copyright (C) 1999  Paul Clip.

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
"""

### IMPORTS

import WDserver
import WDhandler

import sys
import string

### CONSTANTS

SERVER_PORT = 2001

USAGE = """
Command:
	$> webdebug.py [-port <port>]
Where:
	<port> is the optional port number to listen on. Default is %d.
	other arguments are ignored.
""" % SERVER_PORT


### STARTUP SCRIPT


# Parse command line arguments
try:
	index = 1
	while index < len(sys.argv):
		if sys.argv[index] == '-port':
			SERVER_PORT = string.atoi(sys.argv[index+1])
			index = index + 2
		else:
			index = index + 1
except:
	print "Error parsing arguments\n%s" % USAGE
	sys.exit(-1)

# start web debug server
web_debug = WDserver.WDserver( ('', SERVER_PORT) , WDhandler.WDhandler)
print "WebDebug started on port", SERVER_PORT
web_debug.serve_forever()
